package com.bwie.auth.feign;

import com.bwie.auth.feign.factory.AuthFieignFactory;
import com.bwie.common.domain.User;
import com.bwie.common.result.Result;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

/**
 * @Author：weiran
 * @Package：com.bwie.auth.feign
 * @Project：monthA8.12
 * @name：AuthFieign
 * @Date：2024/8/12 9:24
 */
@FeignClient(value = "bwie-user",fallback = AuthFieignFactory.class)
public interface AuthFieign {

    @PostMapping("/user/user/findByuserPhone/{userPhone}")
    Result<User> findByuserPhone(@PathVariable String userPhone);

    @PostMapping("/user/user/adduser")
    Result adduser(@RequestBody User user);
}
