package com.bwie.auth.feign.factory;

import com.bwie.auth.feign.AuthFieign;
import com.bwie.common.domain.User;
import com.bwie.common.result.Result;
import org.springframework.cloud.openfeign.FallbackFactory;
import org.springframework.stereotype.Component;

/**
 * @Author：weiran
 * @Package：com.bwie.auth.feign.factory
 * @Project：monthA8.12
 * @name：AuthFieignFactory
 * @Date：2024/8/12 9:25
 */
@Component
public class AuthFieignFactory implements FallbackFactory<AuthFieign> {
    @Override
    public AuthFieign create(Throwable cause) {
        return new AuthFieign() {
            @Override
            public Result<User> findByuserPhone(String userPhone) {
                return Result.error("网络异常，已进入熔断状态");
            }

            @Override
            public Result adduser(User user) {
                return Result.error("网络异常，已进入熔断状态");
            }
        };
    }
}
