package com.bwie.common.controlleradvice;

import com.bwie.common.exception.ProductException;
import com.bwie.common.result.Result;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.ExceptionHandler;
import org.springframework.web.bind.annotation.RestControllerAdvice;

/**
 * @Author：weiran
 *
 *
 */
@RestControllerAdvice
@Slf4j
public class ProductControllerAdvice {

    @ExceptionHandler(value = ProductException.class)
    public Result productExceptionHandler(Throwable e){
        StackTraceElement stackTraceElement = e.getStackTrace()[0];
        String className = stackTraceElement.getClassName();
        String fileName = stackTraceElement.getFileName();
        int lineNumber = stackTraceElement.getLineNumber();
        String methodName = stackTraceElement.getMethodName();
        log.error("该方法报错的位置是类:{},文件:{},报错行数:{},方法名称:{}",className,fileName,lineNumber,methodName);
        return Result.error(e.getMessage()+"该方法报错的位置是类:{"+className+"},文件:{"+fileName+"},报错行数:{"+lineNumber+"},方法名称:{"+methodName+"}");
    }

}
