package com.bwie.es.controller;

import com.bwie.common.domain.Coupon;
import com.bwie.common.domain.request.CouponReq;
import com.bwie.common.result.Result;
import com.bwie.es.service.EsService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * @Author：weiran
 * @Package：com.bwie.es.controller
 * @Project：monthA8.12
 * @name：EsController
 * @Date：2024/8/12 11:49
 */
@RestController
@RequestMapping("/es")
public class EsController {
    @Autowired
    private EsService esService;


    /**
     * 批量添加
     * @param coupons
     */
    @PostMapping("/bathadd")
    public Result bathadd(@RequestBody List<Coupon> coupons){
        esService.bathadd(coupons);
        return Result.success();
    }


    /**
     * 查询
     */
    @PostMapping("/search")
    public Result search(@RequestBody CouponReq couponReq){
       return Result.success(esService.search(couponReq));
    }


}
