package com.bwie.mq.consumer;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONObject;
import com.bwie.common.constants.TokenConstants;
import com.bwie.common.domain.Coupon;
import com.bwie.common.domain.User;
import com.bwie.common.domain.request.CouponBuyReq;
import com.bwie.common.domain.request.ReduceMoneyReq;
import com.bwie.common.result.Result;
import com.bwie.common.utils.JwtUtils;
import com.bwie.mq.feign.MqFeign;
import com.bwie.mq.feign.ToEsFeign;
import com.rabbitmq.client.Channel;
import org.springframework.amqp.core.Message;
import org.springframework.amqp.rabbit.annotation.Queue;
import org.springframework.amqp.rabbit.annotation.RabbitListener;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.redis.core.StringRedisTemplate;

import javax.servlet.http.HttpServletRequest;
import java.io.IOException;
import java.util.List;

/**
 * @Author：weiran
 * @Package：com.bwie.mq.consumer
 * @Project：monthA8.12
 * @name：updatees
 * @Date：2024/8/12 18:00
 */
public class updatees {

    @Autowired
    private StringRedisTemplate redisTemplate;
    @Autowired
    private HttpServletRequest request;
    @Autowired
    private ToEsFeign toEsFeign;


    @RabbitListener(queuesToDeclare = @Queue("updatees"))
    public void updatees(List<Coupon> couponList, Message message, Channel channel){
        String messageId = message.getMessageProperties().getMessageId();
        toEsFeign.bathadd(couponList);
            try {
                channel.basicAck(message.getMessageProperties().getDeliveryTag(), false);
            } catch (IOException e) {
                try {
                    redisTemplate.opsForSet().remove("UPDATEES", messageId);
                    channel.basicAck(message.getMessageProperties().getDeliveryTag(),true);
                } catch (IOException ex) {
                    throw new RuntimeException(ex);
                }
                throw new RuntimeException(e);
            }

        }

}
